%define pkgname weasyprint
Name:          python-WeasyPrint
Version:       61.1
Release:       1mamba
Summary:       A visual rendering engine for HTML and CSS that can export to PDF
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://pypi.org/project/weasyprint/
Source:        https://pypi.debian.net/weasyPrint/weasyprint-%{version}.tar.gz
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
BuildRequires: python3.11dist(cffi)
BuildRequires: python3.11dist(cssselect2)
BuildRequires: python3.11dist(fonttools)
BuildRequires: python3.11dist(html5lib)
BuildRequires: python3.11dist(pillow)
BuildRequires: python3.11dist(pydyf)
BuildRequires: python3.11dist(pyphen)
BuildRequires: python3.11dist(tinycss2)
## AUTOBUILDREQ-END

%description
WeasyPrint is a visual rendering engine for HTML and CSS that can export to PDF. It aims to support web standards for printing.
WeasyPrint is free software made available under a BSD license.
It is based on various libraries but *not* on a full rendering engine like WebKit or Gecko. The CSS layout engine is written in Python, designed for pagination, and meant to be easy to hack on.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n weasyprint-%{version}

%build
CFLAGS="%{optflags}" %{__python} -m build --no-isolation --wheel

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} -m installer --destdir=%{buildroot} dist/*.whl

%if "%{?with_pyver}" != "3"
# Rename any conflicting file outside of python site packages tree
for f in %{_bindir}/weasyprint; do
   mv %{buildroot}${f}{,-%{?pyappend}}
done
%endif

%files %{?pyappend}
%defattr(-,root,root)
%{_bindir}/weasyprint*
%dir %{python_sitelib}/%{pkgname}-%{version}.dist-info
%{python_sitelib}/%{pkgname}-%{version}.dist-info/*
%dir %{python_sitelib}/%{pkgname}
%{python_sitelib}/%{pkgname}/*
%doc LICENSE

%changelog
* Mon Feb 26 2024 Automatic Build System <autodist@openmamba.org> 61.1-1mamba
- automatic version update by autodist

* Tue Feb 13 2024 Automatic Build System <autodist@openmamba.org> 61.0-1mamba
- automatic version update by autodist

* Mon Dec 11 2023 Automatic Build System <autodist@mambasoft.it> 60.2-1mamba
- automatic version update by autodist

* Sat Sep 30 2023 Automatic Build System <autodist@mambasoft.it> 60.1-1mamba
- automatic version update by autodist

* Tue Sep 26 2023 Automatic Build System <autodist@mambasoft.it> 60.0-1mamba
- automatic version update by autodist

* Mon Sep 04 2023 Automatic Build System <autodist@mambasoft.it> 59.0-1mamba
- automatic version update by autodist

* Tue Mar 07 2023 Automatic Build System <autodist@mambasoft.it> 58.1-1mamba
- automatic version update by autodist

* Fri Feb 17 2023 Automatic Build System <autodist@mambasoft.it> 58.0-1mamba
- automatic version update by autodist

* Fri Jan 27 2023 Automatic Build System <autodist@mambasoft.it> 57.2-1mamba
- automatic version update by autodist

* Sat Oct 08 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 56.1-1mamba
- update to 56.1

* Sat Apr 17 2021 Automatic Build System <autodist@mambasoft.it> 52.5-1mamba
- automatic version update by autodist

* Fri Mar 12 2021 Automatic Build System <autodist@mambasoft.it> 52.4-1mamba
- automatic version update by autodist

* Mon Feb 22 2021 Automatic Build System <autodist@mambasoft.it> 52.2-1mamba
- automatic version update by autodist

* Tue Dec 29 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 52.1-1mamba
- update to 52.1

* Wed Sep 09 2020 Automatic Build System <autodist@mambasoft.it> 51-1mamba
- automatic update by autodist

* Fri Aug 09 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 48-1mamba
- update to 48

* Tue Jun 23 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 0.23-1mamba
- package created using the webbuild interface
